API reference OpenAPI 3.1
GET /verify/journey

Aggregate hosted-verification funnel

Bearer API key or staff session operation verifyJourney

Parameters

NameInTypeRequiredDescription
days query integer No default 30 · min 1 · max 365

Request

This endpoint has no request body.

curl "$MONICHEK_API/verify/journey?days=30" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/verify/journey?days=30`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.get(
    f"{os.environ['MONICHEK_API']}/verify/journey?days=30",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/verify/journey?days=30');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

200 OK funnel, daily volumes and optional evidence legs application/json
{
  "object": "string",
  "days": 1,
  "totals": {},
  "funnel": [
    {}
  ],
  "daily": [
    {}
  ],
  "optional": {}
}
Response fields
FieldTypeRequiredDescription
object string No —
days integer No —
totals object No —
funnel array of object No —
daily array of object No —
optional object No —

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.